package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

public class MusicMemberDto {

	private Integer userId;

	private String username;

	private String organName;

	private String musicGroupName;

	private String musicGroupId;

	private String phone;

	private Integer memberDay;

	private BigDecimal cloudTeacherAmount;

	private Date visitTime;

	private Date membershipEndTime;

	private Integer courseViewType;

	private Boolean hasNoStartCloudTeacher;

	@ApiModelProperty(value = "0已过期，1即将过期,2待生效", required = false)
	private Integer hasMember;

	public Integer getHasMember() {
		return hasMember;
	}

	public void setHasMember(Integer hasMember) {
		this.hasMember = hasMember;
	}

	public Boolean getHasNoStartCloudTeacher() {
		return hasNoStartCloudTeacher;
	}

	public void setHasNoStartCloudTeacher(Boolean hasNoStartCloudTeacher) {
		this.hasNoStartCloudTeacher = hasNoStartCloudTeacher;
	}

	public Date getMembershipEndTime() {
		return membershipEndTime;
	}

	public void setMembershipEndTime(Date membershipEndTime) {
		this.membershipEndTime = membershipEndTime;
	}

	public Integer getCourseViewType() {
		return courseViewType;
	}

	public void setCourseViewType(Integer courseViewType) {
		this.courseViewType = courseViewType;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Date getVisitTime() {
		return visitTime;
	}

	public void setVisitTime(Date visitTime) {
		this.visitTime = visitTime;
	}

	public BigDecimal getCloudTeacherAmount() {
		return cloudTeacherAmount;
	}

	public void setCloudTeacherAmount(BigDecimal cloudTeacherAmount) {
		this.cloudTeacherAmount = cloudTeacherAmount;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getOrganName() {
		return organName;
	}

	public void setOrganName(String organName) {
		this.organName = organName;
	}

	public String getMusicGroupName() {
		return musicGroupName;
	}

	public void setMusicGroupName(String musicGroupName) {
		this.musicGroupName = musicGroupName;
	}

	public String getMusicGroupId() {
		return musicGroupId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public Integer getMemberDay() {
		return memberDay;
	}

	public void setMemberDay(Integer memberDay) {
		this.memberDay = memberDay;
	}
}
